Page MenuHomePhabricator

Show loading indicators while loading dashboard and restoring translations
Closed, ResolvedPublic

Description

When moving from the current translation to the list of translations, the user is exposed with the empty dashboard for a while. On slow connections, users may think that their work has not been saved. A loading indicator can help to communicate that the content has not been loaded yet.

Similarly, when moving from the list of translations to a specific translation in the editor, the source article is shown first making the translation look empty for a while. This can make users feel that the content they created is lost. In this case, a loading indicator can help too.

These issues may be magnified by the real data loss issues, but even with a more reliable saving system the loading indicators will help.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF added subscribers: Arrbee, santhosh, Nirzar and 2 others.
Amire80 triaged this task as Medium priority.Jul 23 2015, 5:21 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 28 2015, 6:29 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 8:37 PM
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 10:30 PM
santhosh closed this task as Resolved.Mar 9 2016, 9:08 AM
santhosh claimed this task.

Fixed in T114743: Show loading indicator for draft loading